OpenTTD Source: CompanySettings Struct Reference

OpenTTD Source 15.0-beta1

Data Fields
CompanySettings Struct Reference

Settings that can be set per company. More...

`#include <settings_type.h>`

## Data Fields
bool | engine_renew
| is autorenew enabled
int16_t | engine_renew_months
| months before/after the maximum vehicle age a vehicle should be renewed
uint32_t | engine_renew_money
| minimum amount of money before autorenew is used
bool | renew_keep_length
| sell some wagons if after autoreplace the train is longer than before
VehicleDefaultSettings | vehicle
| default settings for vehicles

## Detailed Description

Settings that can be set per company.

Definition at line 582 of file settings_type.h.

## Field Documentation

## ◆ engine_renew

bool CompanySettings::engine_renew

is autorenew enabled

Definition at line 583 of file settings_type.h.

Referenced by AgeVehicle(), and Vehicle::NeedsAutorenewing().

## ◆ engine_renew_money

uint32_t CompanySettings::engine_renew_money

minimum amount of money before autorenew is used

Definition at line 585 of file settings_type.h.

Referenced by Vehicle::NeedsServicing().

## ◆ engine_renew_months

int16_t CompanySettings::engine_renew_months

months before/after the maximum vehicle age a vehicle should be renewed

Definition at line 584 of file settings_type.h.

Referenced by Vehicle::NeedsAutorenewing().

## ◆ renew_keep_length

bool CompanySettings::renew_keep_length

sell some wagons if after autoreplace the train is longer than before

Definition at line 586 of file settings_type.h.

Referenced by CmdAutoreplaceVehicle(), CmdCreateGroup(), and ReplaceVehicleWindow::SetStringParameters().

## ◆ vehicle

VehicleDefaultSettings CompanySettings::vehicle

default settings for vehicles

Definition at line 587 of file settings_type.h.

Referenced by ChangeOwnershipOfCompanyItems(), ChangeTimekeepingUnits(), CmdChangeServiceInt(), CompanyServiceInterval(), GetDefaultServiceInterval(), ServiceIntervalSettingsValueText(), and UpdateAllServiceInterval().

The documentation for this struct was generated from the following file:

- src/settings_type.h